Subject: Re: bug#35014: speedbar-expand-line-descendants opens non-descendant tree entries

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Aug 2020 12:46:17 +0200

Kieran Barry <[email-masked]> writes:

> Patch to fix.
>
> Changelog:
> 2019-03-26  Kieran Barry  <kieranb@....com>
> * lisp/speedbar.el: speedbar-expand-line-descendants fixed to only expand
> descendants of current node.

Thanks for the patch.

I had a look at the speedbar code (I don't normally use the mode
myself), and there seemed like a much simpler fix -- just narrow to the
current line before starting to expand.  I tried that, and it seems to
work for me, so I've pushed that fix to Emacs 28 instead.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no